Skip to main content
GET
Get Idp Connection

Authorizations

Authorization
string
header
required

A Barndoor API key, sent as Authorization: Bearer <key>. Keys are prefixed bdai_ and are opaque — do not attempt to decode one. Interchangeable with an OAuth 2.0 access token.

Response

200 - application/json

Successful Response

Response containing current IdP connection configuration.

configured
boolean
default:false
alias
string | null
expected_alias
string | null
display_name
string | null
issuer
string | null
authorization_url
string | null
token_url
string | null
userinfo_url
string | null
jwks_url
string | null
logout_url
string | null
scopes
string | null
prompt
string
default:""
client_id_configured
boolean
default:false
client_secret_configured
boolean
default:false
domain
string | null
domains
string[]